Creates a new user_planning_slot

Request Information

URI Parameters :

None.

Body Parameters :

user_planning_slot
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

user_id

Foreign key to user.

globally unique identifier

Required

user_planning_slot_type_id

Foreign key to user planning slot type id.

globally unique identifier

Required

date_from

Date from,

date
date_to

Date to,

date
description

Description of user planning slot.

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating.

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "671b3563-cf1e-4ef0-bf35-b81e52789ea2",
  "user_id": "700f46de-9949-475b-94ad-7e8d7d53a722",
  "user_planning_slot_type_id": "1421ba2e-6be9-4133-b5b5-41f51b0f7e7b",
  "date_from": "2026-10-28T22:47:59.0498845+00:00",
  "date_to": "2026-10-28T22:47:59.0498845+00:00",
  "description": "sample string 6",
  "modified_dateutc": "2026-10-28T22:47:59.0498845+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.